<template>
  <div class="slider">
    <slick ref="slick" :options="slickOptions">
      <div
        class="user-carousel"
        v-for="(user, index) in userPhotos"
        :key="index"
      >
        <div class="user-photo">
          <img :src="user.src" alt="photo" />
        </div>
      </div>
    </slick>
  </div>
</template>

<script>
import Slick from "vue-slick";
export default {
  data: () => ({
    slickOptions: {
      infinite: true,
      slidesToShow: 6,
      slidesToScroll: 1,
      autoplay: true,
      responsive: [
        {
          breakpoint: 575,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
            infinite: true,
          },
        },
      ],
    },

    userPhotos: [...Array(100)]
      .fill(0)
      .map(() => ({ src: require("./img/girl.svg") })),
  }),

  components: {
    Slick,
  },
};
</script>

<style lang='scss' src='./styles/carousel.scss'>
</style>